%define name pnetlib
%define version 0.6.12
%define release 1mdk

%define major 0
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	A portable interpreter for .NET platform binaries
Group: 		Development/Other
License: 	GPL
Source: 	http://www.southern-storm.com.au/download/%name-%version.tar.bz2
URL: 		http://www.southern-storm.com.au
BuildRequires:  pnet >= 0.6.0 pnet-devel treecc gawk
Buildroot: 	%_tmppath/%name-%version-buildroot

%description
The primary goal of this project is to build a stable and portable 
interpreter for .NET platform binaries, together with a suite of open 
source tools to build .NET applications. The initial target platform 
is Linux, with other platforms to follow in the future.

%package -n %libname
Summary:        A portable interpreter for .NET plateform binaries
Group:		Development/Other

%description -n %libname
The primary goal of this project is to build a stable and portable
interpreter for .NET platform binaries, together with a suite of open
source tools to build .NET applications. The initial target platform
is Linux, with other platforms to follow in the future.

%package -n %libnamedev
Summary:        A portable interpreter for .NET plateform binaries
Group:          Development/Other
Requires:	%libname = %version
Provides:	libpnetlib-devel

%description -n %libnamedev
The primary goal of this project is to build a stable and portable
interpreter for .NET platform binaries, together with a suite of open
source tools to build .NET applications. The initial target platform
is Linux, with other platforms to follow in the future.

%prep
%setup -q

%build
export CFLAGS=$(echo $RPM_OPT_FLAGS|sed -e 's!-O3!-O2!g')

./configure --prefix=%{_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --mandir=%{_mandir} --infodir={_infodir}

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
%_install_info %{name}tools.info

%preun
%_remove_install_info %{name}tools.info

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* README COPYING
%_bindir/*
%_libdir/cscc/lib/*.dll
%_libdir/cscc/lib/2.0*/
%_libdir/cscc/lib/*.exe
%_libdir/cscc/lib/8.0*/
%_libdir/cscc/lib/0.8*/
%_libdir/cscc/lib/ca
%_libdir/cscc/lib/de
%_libdir/cscc/lib/pinvoke.map
%dir %_datadir/cscc
%dir %_datadir/cscc/config
%_datadir/cscc/config/*

%files -n %libname
%defattr(-,root,root)
%_libdir/cscc/lib/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/cscc/lib/*.so
%_libdir/cscc/lib/*.*a

%changelog
* Fri Apr 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.12-1mdk
- 0.6.12

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.10-1mdk
- 0.6.10

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.8-1mdk
- 0.6.8

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6

* Sat May 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.4-1mdk
- 0.6.4

* Wed Mar 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- owns datadir/cscc and datadir/cscc/config

* Tue Jan 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2
- libification

* Sun Oct 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0.1-1mdk
- 0.6.0.1

* Mon Jul 21 2003 Marcel Pol <mpol@gmx.net> 0.5.8-1mdk
- 0.5.8
- %%configure breaks libtool

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- buildrequires

* Fri Feb 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- new



